| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.DummyDescriptor Class Reference

classes for generic Gaudi component =========== More...

Inheritance diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]

## Public Member Functions
def | __init__ (self, name)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)

## Private Attributes
| __name__

## Detailed Description

classes for generic Gaudi component ===========

Definition at line 939 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.DummyDescriptor.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 940 of file Configurable.py.

940 def __init__( self, name ):
941 self.__name__ = name # conventional
942
GaudiKernel.Configurable.DummyDescriptor.__init__
def __init__(self, name)
Definition: Configurable.py:940
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:941

## Member Function Documentation

def GaudiKernel.Configurable.DummyDescriptor.__get__ | ( |  | self,
|  |  | obj,
|  |  | type = `None`
| ) |  |

Definition at line 943 of file Configurable.py.

943 def __get__( self, obj, type = None ):
944 return getattr( obj, self.__name__ )
945
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:941
GaudiKernel.Configurable.DummyDescriptor.__get__
def __get__(self, obj, type=None)
Definition: Configurable.py:943

def GaudiKernel.Configurable.DummyDescriptor.__set__ | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 946 of file Configurable.py.

946 def __set__( self, obj, value ):
947 object.__setattr__( obj, self.__name__, value )
948
GaudiKernel.Configurable.DummyDescriptor.__set__
def __set__(self, obj, value)
Definition: Configurable.py:946
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:941

## Member Data Documentation

GaudiKernel.Configurable.DummyDescriptor.__name__
| private

Definition at line 941 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py